package widebase.rpc.table

import vario.filter.StreamFilter

import widebase.util.SysProps

/** A common trait for properties.
 *
 * @author myst3r10n
 */
trait PropsLike {

  /** Package name. */
  protected val packageName: String

  /** Default filter. */
  protected val defaultFilter = SysProps.getFilter(
    packageName + ".filter",
    SysProps.getFilter("widebase.io.filter", StreamFilter.None))

}

